> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report Schedules by Resource ID



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml get /api/content/v1/reportschedules/resources/{resourceType}/{resourceId}
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/resources/{resourceType}/{resourceId}:
    get:
      tags:
        - Scheduled Reports API
      summary: Get Report Schedules by Resource ID
      operationId: getReportSchedulesByResourceId
      parameters:
        - in: path
          name: resourceType
          required: true
          schema:
            type: string
            enum:
              - OPEN
              - PAGE
              - CARD
              - REPORT
          description: Type of resource
        - in: path
          name: resourceId
          required: true
          schema:
            type: integer
          description: ID of the resource
        - in: query
          name: showAll
          schema:
            type: boolean
            default: false
          description: Show all schedules
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              examples:
                example:
                  value:
                    - id: 123456
                      title: Resource Report
                      schedule:
                        frequency: WEEKLY
                        enabled: true
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````